Index: cards/CLIC/CLICdet_BTagging_JER.tcl
===================================================================
--- cards/CLIC/CLICdet_BTagging_JER.tcl	(revision 414db83dac90e55f6317dc35d0ad85df286a38af)
+++ cards/CLIC/CLICdet_BTagging_JER.tcl	(revision 414db83dac90e55f6317dc35d0ad85df286a38af)
@@ -0,0 +1,463 @@
+module BTagging BTagging_JER_WP50_R05N2 {
+	set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+	set BitNumber 0
+
+	# 50% efficiency working point
+    # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+    # PDG code = the highest PDG code of a quark or gluon inside DeltaR cone around jet axis
+    # gluon's PDG code has the lowest priority
+
+	# based on CLICdp-Note-2014-002
+
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R05N2 {
+	set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R05N2 {
+	set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R05N3 {
+	set JetInputArray JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R05N3 {
+	set JetInputArray JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R05N3 {
+	set JetInputArray JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R05N4 {
+	set JetInputArray JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R05N4 {
+	set JetInputArray JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R05N4 {
+	set JetInputArray JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R05N5 {
+	set JetInputArray JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R05N5 {
+	set JetInputArray JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R05N5 {
+	set JetInputArray JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R05N6 {
+	set JetInputArray JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R05N6 {
+	set JetInputArray JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R05N6 {
+	set JetInputArray JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R07N2 {
+	set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R07N2 {
+	set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R07N2 {
+	set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R07N3 {
+	set JetInputArray JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R07N3 {
+	set JetInputArray JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R07N3 {
+	set JetInputArray JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R07N4 {
+	set JetInputArray JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R07N4 {
+	set JetInputArray JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R07N4 {
+	set JetInputArray JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R07N5 {
+	set JetInputArray JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R07N5 {
+	set JetInputArray JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R07N5 {
+	set JetInputArray JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R07N6 {
+	set JetInputArray JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R07N6 {
+	set JetInputArray JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R07N6 {
+	set JetInputArray JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R10N2 {
+	set JetInputArray JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R10N2 {
+	set JetInputArray JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R10N2 {
+	set JetInputArray JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R10N3 {
+	set JetInputArray JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R10N3 {
+	set JetInputArray JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R10N3 {
+	set JetInputArray JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R10N4 {
+	set JetInputArray JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R10N4 {
+	set JetInputArray JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R10N4 {
+	set JetInputArray JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R10N5 {
+	set JetInputArray JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R10N5 {
+	set JetInputArray JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R10N5 {
+	set JetInputArray JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R10N6 {
+	set JetInputArray JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R10N6 {
+	set JetInputArray JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R10N6 {
+	set JetInputArray JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R12N2 {
+	set JetInputArray JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R12N2 {
+	set JetInputArray JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R12N2 {
+	set JetInputArray JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R12N3 {
+	set JetInputArray JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R12N3 {
+	set JetInputArray JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R12N3 {
+	set JetInputArray JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R12N4 {
+	set JetInputArray JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R12N4 {
+	set JetInputArray JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R12N4 {
+	set JetInputArray JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R12N5 {
+	set JetInputArray JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R12N5 {
+	set JetInputArray JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R12N5 {
+	set JetInputArray JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R12N6 {
+	set JetInputArray JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R12N6 {
+	set JetInputArray JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R12N6 {
+	set JetInputArray JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R15N2 {
+	set JetInputArray JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R15N2 {
+	set JetInputArray JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R15N2 {
+	set JetInputArray JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R15N3 {
+	set JetInputArray JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R15N3 {
+	set JetInputArray JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R15N3 {
+	set JetInputArray JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R15N4 {
+	set JetInputArray JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R15N4 {
+	set JetInputArray JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R15N4 {
+	set JetInputArray JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R15N5 {
+	set JetInputArray JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R15N5 {
+	set JetInputArray JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R15N5 {
+	set JetInputArray JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R15N6 {
+	set JetInputArray JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6
+	set BitNumber 0
+	source CLIC/CLICdet_BTag_50.tcl
+}
+module BTagging BTagging_JER_WP70_R15N6 {
+	set JetInputArray JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6
+	set BitNumber 1
+	source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R15N6 {
+	set JetInputArray JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6
+	set BitNumber 2
+	source CLIC/CLICdet_BTag_90.tcl
+}
+
+########################
+# inclusive clustering
+########################
+
+module BTagging BTagging_JER_WP50_R05_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive                         
+ set BitNumber 0                                                                               
+ source CLIC/CLICdet_BTag_50.tcl                                                                    
+ }                                                                                             
+module BTagging BTagging_JER_WP70_R05_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive                         
+ set BitNumber 1                                                                               
+ source CLIC/CLICdet_BTag_70.tcl                                                                    
+}                                                                                              
+module BTagging BTagging_JER_WP90_R05_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive                         
+ set BitNumber 2                                                                               
+ source CLIC/CLICdet_BTag_90.tcl                                                                    
+}                                                                                              
+module BTagging BTagging_JER_WP50_R07_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive                         
+ set BitNumber 0                                                                               
+ source CLIC/CLICdet_BTag_50.tcl                                                                    
+ }                                                                                             
+module BTagging BTagging_JER_WP70_R07_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive                         
+ set BitNumber 1                                                                               
+ source CLIC/CLICdet_BTag_70.tcl                                                                    
+}                                                                                              
+module BTagging BTagging_JER_WP90_R07_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive                         
+ set BitNumber 2                                                                               
+ source CLIC/CLICdet_BTag_90.tcl                                                                    
+}                                                                                              
+module BTagging BTagging_JER_WP50_R10_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive                         
+ set BitNumber 0                                                                               
+ source CLIC/CLICdet_BTag_50.tcl                                                                    
+ }                                                                                             
+module BTagging BTagging_JER_WP70_R10_inclusive {                                                   
+ set JetInputArray JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive                         
+ set BitNumber 1                                                                               
+ source CLIC/CLICdet_BTag_70.tcl                                                                    
+}
+module BTagging BTagging_JER_WP90_R10_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive
+ set BitNumber 2
+ source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R12_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive
+ set BitNumber 0
+ source CLIC/CLICdet_BTag_50.tcl
+ }
+module BTagging BTagging_JER_WP70_R12_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive
+ set BitNumber 1
+ source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R12_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive
+ set BitNumber 2
+ source CLIC/CLICdet_BTag_90.tcl
+}
+module BTagging BTagging_JER_WP50_R15_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive
+ set BitNumber 0
+ source CLIC/CLICdet_BTag_50.tcl
+ }
+module BTagging BTagging_JER_WP70_R15_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive
+ set BitNumber 1
+ source CLIC/CLICdet_BTag_70.tcl
+}
+module BTagging BTagging_JER_WP90_R15_inclusive {
+ set JetInputArray JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive
+ set BitNumber 2
+ source CLIC/CLICdet_BTag_90.tcl
+}
Index: cards/CLIC/CLICdet_JetFlavorAssociation_JER.tcl
===================================================================
--- cards/CLIC/CLICdet_JetFlavorAssociation_JER.tcl	(revision 414db83dac90e55f6317dc35d0ad85df286a38af)
+++ cards/CLIC/CLICdet_JetFlavorAssociation_JER.tcl	(revision 414db83dac90e55f6317dc35d0ad85df286a38af)
@@ -0,0 +1,371 @@
+module JetFlavorAssociation JetFlavorAssociation_JER_R05N2 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R05N3 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R05N4 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R05N5 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R05N6 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+
+#R07
+module JetFlavorAssociation JetFlavorAssociation_JER_R07N2 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R07N3 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R07N4 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R07N5 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R07N6 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+
+
+#R10
+module JetFlavorAssociation JetFlavorAssociation_JER_R10N2 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R10N3 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R10N4 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R10N5 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R10N6 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+
+
+# R 12
+module JetFlavorAssociation JetFlavorAssociation_JER_R12N2 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R12N3 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R12N4 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R12N5 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R12N6 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+
+# R15
+module JetFlavorAssociation JetFlavorAssociation_JER_R15N2 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R15N3 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R15N4 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R15N5 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R15N6 {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+
+module JetFlavorAssociation JetFlavorAssociation_JER_R05_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R07_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R10_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R12_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_JER_R15_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
Index: cards/CLIC/CLICdet_TauTagging_JER.tcl
===================================================================
--- cards/CLIC/CLICdet_TauTagging_JER.tcl	(revision 414db83dac90e55f6317dc35d0ad85df286a38af)
+++ cards/CLIC/CLICdet_TauTagging_JER.tcl	(revision 414db83dac90e55f6317dc35d0ad85df286a38af)
@@ -0,0 +1,609 @@
+module TauTagging TauTagging_JER_R05N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+    set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+    # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+    # default efficiency formula (misidentification rate)
+    add EfficiencyFormula {0} {0.03}
+    # efficiency formula for tau-jets
+    
+    add EfficiencyFormula {15} { 
+	(pt < 5) * (0.0) +
+	(pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+    } 
+} 
+
+module TauTagging TauTagging_JER_R05N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R05N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R05N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R05N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R07N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R07N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R07N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R07N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R07N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R10N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R10N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R10N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R10N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R10N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R12N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R12N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R12N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R12N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R12N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R15N2 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R15N3 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R15N4 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R15N5 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+module TauTagging TauTagging_JER_R15N6 {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_JER_R05_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_JER_R07_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_JER_R10_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_JER_R12_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_JER_R15_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
